Bug 124996 - /emul/ia32-linux/etc/ld.so.conf needs to be created
Summary: /emul/ia32-linux/etc/ld.so.conf needs to be created
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 3.0
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 126674
TreeView+ depends on / blocked
 
Reported: 2004-06-01 20:46 UTC by Greg Edwards
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: 2.3.2-95.27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 18:01:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Greg Edwards 2004-06-01 20:46:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ia64; en-US; rv:1.8a2)
Gecko/20040521 Firefox/0.8.0+

Description of problem:
On ia64, the i686 glibc rpms are installed under /emul/ia32-linux.
The /emul/ia32-linux/etc/ld.so.conf and /emul/ia32-linux/etc/ld.so.cache
files are not created however.  This has the end result that some
ia32 libraries are not found when running an ia32 app on ia64.

For example:

$ file setup
setup: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for
GNU/Linux 2.0.0, dynamically linked (uses shared libs), stripped

$ ./setup
./setup: error while loading shared libraries: libX11.so.6: cannot
open shared object file: No such file or directory

$ find /emul/ia32-linux -name libX11.so.6
/emul/ia32-linux/usr/X11R6/lib/libX11.so.6

$ ll /emul/ia32-linux/usr/X11R6/lib/libX11.so.6
lrwxrwxrwx    1 root     root           13 May 19 13:34
/emul/ia32-linux/usr/X11R6/lib/libX11.so.6 -> libX11.so.6.2

Copy /etc/ld.so.conf to /emul/ia32-linux/etc/ld.so.conf and run
ldconfig -r /emul/ia32-linux and everything runs fine.

The ld.so.conf file install via the glibc rpm is zero-length with 
the noreplace config flag, which leads me to believe it is
created somewhere else during the installation.  Not sure how this
should be addressed for the i686 glibc rpm that is installed on an
ia64 box.

Version-Release number of selected component (if applicable):
glibc-2.3.2-95.20

How reproducible:
Always

Steps to Reproduce:
1. Run an ia32 app that requires an X library on an ia64 box (I was
using the OpenOffice.org 1.1.1 installer in this case).
2.
3.
    

Additional info:


Note You need to log in before you can comment on or make changes to this bug.